%define rname		chatzilla
%define cid		\{59c81df5-4b7a-477b-912d-4e0fdf64e5f2\}
%define ciddir		%firefox_extensionsdir/%cid

Summary:	Internet Relay Chat (IRC) in Firefox
Name:		%firefox_name-%rname
Version:    	0.9.68.5
Release:	alt4
License:	GPL
Group:		Networking/Chat
URL:		http://www.hacksrus.com/~ginda/chatzilla/
Serial: 	1

Source0:	%rname-%version.xpi

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

%description 
ChatZilla is a cross platform messaging client that combines 
Internet Relay Chat (IRC) with existing web standards like JavaScript, 
HTML, and CSS. If you don't know any of this stuff don't worry, you don't 
have to. ChatZilla is easy to use.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Tue Apr 18 2006 L.A. Kostis <lakostis@altlinux.org> 1:0.9.68.5-alt4
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1:0.9.68.5-alt3
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1:0.9.68.5-alt2
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1:0.9.68.5-alt1
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.68a-alt3
- update for new firefox.

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.68a-alt2
- update for new firefox;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.68a-alt1
- new version;
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.67-alt1.1
- postscript bugfix;

* Fri Feb 25 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.67-alt1
- new version.

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.66e-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.66e-alt1
- new version;

* Mon Oct 25 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.65-alt2
- Spec cleanup;
- Group changed;

* Tue Oct 19 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.65-alt1
- New version;

* Mon Jul 05 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.64b-alt1
- New version;
- New extension scheme.

* Wed Mar 10 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.61-alt1
- New version;

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.59p-alt1
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);
- New version;

* Sat Jan 10 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.55-alt1
- first build for ALT Linux.


